#pragma once

#include "CoreMinimal.h"
#include "PlayerStateMachineTransitionData.generated.h"

USTRUCT(BlueprintType)
struct FPlayerStateMachineTransitionData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	TArray<uint16> NewStateStack;

	UPROPERTY(EditAnywhere)
	uint32 SequenceNumber;

public:
	DEADBYDAYLIGHT_API FPlayerStateMachineTransitionData();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerStateMachineTransitionData) { return 0; }
